1 Reply Latest reply on Jun 21, 2016 2:21 PM by Sarvesh Jain

    JBPM 6.4 - Failed to deploy kjar (doesn't recognize Java version)

    Sarvesh Jain Newbie

      I've been using JBPM 6.3 for more than 6 months and now planning to move to JBPM 6.4. I couldn't build my project on JBPM 6.4 that was working fine on JBPM 6.3

       

       

      So, I downloaded JBPM 6.4 again and tried to build a project on out of the box jbpm-installer's sample projects:

      1. Unzip the zip

       

      2. ant install.demo.noeclipse

      3. ant start.demo.noeclipse. jbpm-cosole and kie-server got deployed successfully.

      4. Logged in as admin

      5. Opened Project Authoring ->demo ->uf-playground->mortgages.

      6. CIicked on "Open Project Editor", then Build ->Build and Deploy.

      I got following errors.

      Syntax error, annotations are only available if source level is 1.5 or greater

      I am on Java 1.8.0_91. I am not sure how to configure JBPM workbench to specify Java version.

       

       

       

       

       

      Syntax error, annotations are only available if source level is 1.5 or greater

       

      Applicant.java

      373

      14

       

       

       

      Syntax error, annotations are only available if source level is 1.5 or greater

       

      Applicant.java

      475

      17

       

       

       

      Syntax error, annotations are only available if source level is 1.5 or greater

       

      Applicant.java

      573

      20

       

       

       

      Syntax error, annotations are only available if source level is 1.5 or greater

       

      Applicant.java

      674

      23

       

       

       

      Syntax error, annotations are only available if source level is 1.5 or greater

       

      Bankruptcy.java

      281

      11

       

       

       

      Syntax error, annotations are only available if source level is 1.5 or greater

       

      Bankruptcy.java

      381

      14

       

       

       

      Syntax error, annotations are only available if source level is 1.5 or greater

       

      LoanApplication.java

      286

      11

       

       

       

      Syntax error, annotations are only available if source level is 1.5 or greater

       

      LoanApplication.java

      382

      14

       

       

       

      Syntax error, annotations are only available if source level is 1.5 or greater

       

      LoanApplication.java

      480

      17

       

       

       

      Syntax error, annotations are only available if source level is 1.5 or greater

       

      LoanApplication.java

      582

      20

       

       

       

      Syntax error, annotations are only available if source level is 1.5 or greater

       

      LoanApplication.java

      679

      23

       

       

       

      Syntax error, annotations are only available if source level is 1.5 or greater

       

      LoanApplication.java

      779

      26

       

       

       

      Syntax error, annotations are only available if source level is 1.5 or greater

       

      LoanApplication.java

      882

      29

       

       

       

      Syntax error, annotations are only available if source level is 1.5 or greater

       

      IncomeSource.java

      283

      11

       

       

       

      Syntax error, annotations are only available if source level is 1.5 or greater

       

      IncomeSource.java

      379

      14

       

       

       

      Unable to resolve ObjectType 'LoanApplication'

       

      no NINJAs.rdrl

      0

      10

       

       

       

      Unable to resolve ObjectType 'IncomeSource'

       

      no NINJAs.rdrl

      0

      11

       

       

       

      Unable to Analyse Expression app.setApproved( false ); app.setExplanation( "no NINJAs" ); drools.retract( app );: [Error: unable to resolve method using strict-mode: org.drools.core.spi.KnowledgeHelper.app()] [Near : {... app.setApproved( false ); ....}] ^ [Line: 6, Column: 0]

       

      no NINJAs.rdrl

      0

      6

       

       

       

      Unable to resolve ObjectType 'LoanApplication'

       

      Underage.rdrl

      0

      10

       

       

       

      Unable to resolve ObjectType 'Applicant'

       

      Underage.rdrl

      0

      11

       

       

       

      Unable to Analyse Expression application.setApproved( false ); application.setExplanation( "Underage" ); drools.retract( application );: [Error: unable to resolve method using strict-mode: org.drools.core.spi.KnowledgeHelper.application()] [Near : {... application.setApproved( false ....}] ^ [Line: 6, Column: 0]

       

      Underage.rdrl

      0

      6

       

       

       

      Unable to resolve ObjectType 'LoanApplication'

       

      No bad credit checks.rdrl

      0

      10

       

       

       

      Unable to resolve ObjectType 'Applicant'

       

      No bad credit checks.rdrl

      0

      11

       

       

       

      Unable to resolve ObjectType 'Applicant'

       

      No bad credit checks.rdrl

      0

      11

       

       

       

      Unable to Analyse Expression app.setApproved( false ); app.setExplanation( "Only AA" ); drools.retract( app );: [Error: unable to resolve method using strict-mode: org.drools.core.spi.KnowledgeHelper.app()] [Near : {... app.setApproved( false ); ....}] ^ [Line: 6, Column: 0]

       

      No bad credit checks.rdrl

      0

      6

       

       

       

      Unable to resolve ObjectType 'LoanApplication'

       

      Bankruptcy history.rdrl

      0

      10

       

       

       

      Unable to resolve ObjectType 'Bankruptcy'

       

      Bankruptcy history.rdrl

      0

      11

       

       

       

      Unable to Analyse Expression a.setApproved( false ); a.setExplanation( "has been bankrupt" ); drools.retract( a );: [Error: unable to resolve method using strict-mode: org.drools.core.spi.KnowledgeHelper.a()] [Near : {... a.setApproved( false ); ....}] ^ [Line: 6, Column: 0]

       

      Bankruptcy history.rdrl

      0

      6

       

       

       

      Unable to resolve ObjectType 'Applicant'

       

      CreditApproval.rdslr

      0

      6

       

       

       

      Unable to Analyse Expression applicant.setApproved(true);: [Error: unable to resolve method using strict-mode: org.drools.core.spi.KnowledgeHelper.applicant()] [Near : {... applicant.setApproved(true); ....}] ^ [Line: 3, Column: 0]

       

      CreditApproval.rdslr

      0

      3

       

       

       

      Unable to resolve ObjectType 'Applicant'

       

      RegexDslRule.rdslr

      0

      6

       

       

       

      Unable to resolve ObjectType 'LoanApplication'

       

      Pricing loans.gdst

      0

      7

       

       

       

      Unable to resolve ObjectType 'IncomeSource'

       

      Pricing loans.gdst

      0

      8

       

       

       

      Unable to Analyse Expression application.setApproved( true ); application.setInsuranceCost( 0 ); application.setApprovedRate( 2 );: [Error: unable to resolve method using strict-mode: org.drools.core.spi.KnowledgeHelper.application()] [Near : {... application.setApproved( true ....}] ^ [Line: 4, Column: 0]

       

      Pricing loans.gdst

      0

      4

       

       

       

      Unable to resolve ObjectType 'LoanApplication'

       

      Pricing loans.gdst

      0

      19

       

       

       

      Unable to resolve ObjectType 'IncomeSource'

       

      Pricing loans.gdst

      0

      20

       

       

       

      Unable to Analyse Expression application.setApproved( true ); application.setInsuranceCost( 0 ); application.setApprovedRate( 4 );: [Error: unable to resolve method using strict-mode: org.drools.core.spi.KnowledgeHelper.application()] [Near : {... application.setApproved( true ....}] ^ [Line: 16, Column: 0]

       

      Pricing loans.gdst

      0

      16

       

       

       

      Unable to resolve ObjectType 'LoanApplication'

       

      Pricing loans.gdst

      0

      31

       

       

       

      Unable to resolve ObjectType 'IncomeSource'

       

      Pricing loans.gdst

      0

      32

       

       

       

      Unable to Analyse Expression application.setApproved( true ); application.setInsuranceCost( 10 ); application.setApprovedRate( 6 );: [Error: unable to resolve method using strict-mode: org.drools.core.spi.KnowledgeHelper.application()] [Near : {... application.setApproved( true ....}] ^ [Line: 28, Column: 0]

       

      Pricing loans.gdst

      0

      28

       

       

       

      Rule Compilation error Only a type can be imported. org.mortgages.IncomeSource resolves to a package Only a type can be imported. org.mortgages.Applicant resolves to a package Only a type can be imported. org.mortgages.Bankruptcy resolves to a package Only a type can be imported. org.mortgages.LoanApplication resolves to a package

       

      Dummy rule.drl

      0

      3

       

       

       

      Error importing : 'org.mortgages.LoanApplication'

       

      no NINJAs.rdrl

      0

      1

       

       

       

      Error importing : 'org.mortgages.Bankruptcy'

       

      Bankruptcy history.rdrl

      0

      1

       

       

       

      Error importing : 'org.mortgages.IncomeSource'

       

      no NINJAs.rdrl

      0

      1

       

       

       

      Error importing : 'org.mortgages.Applicant'

       

      Underage.rdrl

      0

      1